import React from 'react';
import { ContentRect } from 'react-measure';
import StickyTree, { TreeNode } from './StickyTree';
import { StickyListProps } from './StickyList';
export interface AutoSizedStickyListProps<TNodeType extends TreeNode = TreeNode, TMeta = any> extends Omit<StickyListProps<TNodeType, TMeta>, 'width' | 'height'> {
    onResize?: (rect: ContentRect) => void;
    treeRef?: React.Ref<StickyTree<TNodeType, TMeta>>;
    className?: string;
}
declare const AutoSizedStickyList: <TNodeType extends TreeNode = TreeNode, TMeta = any>({ onResize, className, treeRef, ...rest }: AutoSizedStickyListProps<TNodeType, TMeta>) => JSX.Element;
export default AutoSizedStickyList;
