import React from 'react';
import StickyTree, { StickyTreeProps, TreeNode } from './StickyTree';
declare type OmitProps = 'getChildren' | 'root' | 'renderRoot';
export interface StickyListProps<TNodeType extends TreeNode = TreeNode, TMeta = any> extends Omit<StickyTreeProps<TNodeType, TMeta>, OmitProps> {
    items: TNodeType[];
    getRowHeight?: (item: TNodeType) => number;
    treeRef?: React.Ref<StickyTree<TNodeType, TMeta>>;
}
declare const StickyList: <TNodeType extends TreeNode = TreeNode, TMeta = any>({ items, rowRenderer, width, height, treeRef, getRowHeight, wrapAllLeafNodes, ...rest }: StickyListProps<TNodeType, TMeta>) => JSX.Element;
export default StickyList;
